Bug 1577519 - [abrt] dnssec-trigger: check_call(): subprocess.py:291:check_call:subprocess.CalledProcessError: Command '['unbound-control', 'flush_requestlist']' returned non-zero exit status 1.
Summary: [abrt] dnssec-trigger: check_call(): subprocess.py:291:check_call:subprocess....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aa20203638c0a28d18b2c9b045a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 16:55 UTC by Christian Stadelmann
Modified: 2019-05-28 21:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:54:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.51 KB, text/plain)
2018-05-12 16:55 UTC, Christian Stadelmann
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-05-12 16:55 UTC, Christian Stadelmann
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-12 16:56 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2018-05-12 16:55:51 UTC
Version-Release number of selected component:
dnssec-trigger-0.15-4.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 -sE /usr/libexec/dnssec-trigger-script --update
crash_function: check_call
exception_type: subprocess.CalledProcessError
executable:     /usr/libexec/dnssec-trigger-script
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Python3

Truncated backtrace:
subprocess.py:291:check_call:subprocess.CalledProcessError: Command '['unbound-control', 'flush_requestlist']' returned non-zero exit status 1.

Traceback (most recent call last):
  File "/usr/libexec/dnssec-trigger-script", line 748, in <module>
    main()
  File "/usr/libexec/dnssec-trigger-script", line 735, in main
    Application(sys.argv).run()
  File "/usr/libexec/dnssec-trigger-script", line 470, in run
    self.method()
  File "/usr/libexec/dnssec-trigger-script", line 633, in run_update
    self.run_update_connection_zones()
  File "/usr/libexec/dnssec-trigger-script", line 718, in run_update_connection_zones
    unbound_zones.add(zone, self.global_forwarders, secure=False)
  File "/usr/libexec/dnssec-trigger-script", line 268, in add
    self._commit(zone, set(servers), secure)
  File "/usr/libexec/dnssec-trigger-script", line 299, in _commit
    self._control(["flush_requestlist"])
  File "/usr/libexec/dnssec-trigger-script", line 306, in _control
    subprocess.check_call(["unbound-control"] + args, stdout=DEVNULL, stderr=DEVNULL)
  File "/usr/lib64/python3.6/subprocess.py", line 291, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['unbound-control', 'flush_requestlist']' returned non-zero exit status 1.

Local variables in innermost frame:
cmd: ['unbound-control', 'flush_requestlist']
retcode: 1
kwargs: {'stdout': <_io.BufferedWriter name='/dev/null'>, 'stderr': <_io.BufferedWriter name='/dev/null'>}
popenargs: (['unbound-control', 'flush_requestlist'],)

Potential duplicate: bug 1489171

Comment 1 Christian Stadelmann 2018-05-12 16:55:57 UTC
Created attachment 1435464 [details]
File: backtrace

Comment 2 Christian Stadelmann 2018-05-12 16:55:59 UTC
Created attachment 1435465 [details]
File: cpuinfo

Comment 3 Christian Stadelmann 2018-05-12 16:56:00 UTC
Created attachment 1435466 [details]
File: namespaces

Comment 4 Tomáš Hozza 2018-07-19 13:39:53 UTC
I think that the problem was that Unbound was not running because of a crash due to Bug #1562594

Comment 5 Dominik 'Rathann' Mierzejewski 2018-07-20 13:19:02 UTC
That may be true, but the failure should still be handled gracefully here instead of aborting with a stack trace due to an unhandled exception.

Comment 6 Ben Cotton 2019-05-02 21:16:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 21:54:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.